Public Class Form1

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        ' Tworzymy pole wyboru
        Dim CheckStrip As New CheckBox()

        ' Dopasowujemy pole wyboru do długości tekstu
        CheckStrip.AutoSize = True
        CheckStrip.Text = "Pole wyboru na pasku ToolStrip"

        ' Upewniamy się, że pole wyboru jest przezroczyste
        ' (aby widoczne było gradientowe tło paska ToolStrip)
        CheckStrip.BackColor = Color.FromArgb(0, 255, 0, 0)

        ' Tworzymy kontrolkę ToolStripControlHost "owijającą" pole wyboru
        Dim CheckStripHost As New ToolStripControlHost(CheckStrip)

        ' Ustawiamy rozmiar kontrolki ToolStripControlHost na
        ' pełną szerokość pola wyboru
        CheckStripHost.AutoSize = True

        ' Dodajemy "owinięte" pole wyboru do paska
        ToolStrip1.Items.Add(CheckStripHost)

    End Sub
End Class
